[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH 1/1] qemu: min_guarantee: Parameter 'min_guarantee' not supported



On 08/11/2014 12:07 PM, Erik Skultety wrote:
> The 'min_guarantee' is used by esx and vmx drivers, with qemu however,
> libvirt should report error when starting a domain, because this
> element is not used. Resolves
> https://bugzilla.redhat.com/show_bug.cgi?id=1122455
> ---
>  src/qemu/qemu_process.c | 7 +++++++
>  1 file changed, 7 insertions(+)
> 
> diff --git a/src/qemu/qemu_process.c b/src/qemu/qemu_process.c
> index 407da5e..22247fd 100644
> --- a/src/qemu/qemu_process.c
> +++ b/src/qemu/qemu_process.c
> @@ -3994,6 +3994,13 @@ int qemuProcessStart(virConnectPtr conn,
>                                      flags & VIR_QEMU_PROCESS_START_COLD) < 0)
>          goto cleanup;
>  
> +    if (vm->def->mem.min_guarantee) {
> +        virReportError(VIR_ERR_CONFIG_UNSUPPORTED, "%s",
> +                       _("Parameter 'min_guarantee' "
> +                         "not supported"));

I'd say "not supported by QEMU" here. The message as you wrote it seems like
it's not supported at all here.

As Wang Rui pointed out, it would be nice to mention in
docs/formatdomain.html.in that this is only supported by esx, openvz and and
vmx drivers.

Jan

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]